import _toConsumableArray from '@babel/runtime/helpers/toConsumableArray';
import { useRef, useEffect } from 'react';
import 'construct-style-sheets-polyfill';

var index = (function (obj) {
  var sheetRef = useRef(new CSSStyleSheet());

  var removeCurrentSheet = function removeCurrentSheet() {
    var ls = document.adoptedStyleSheets.slice(0);
    var index = ls.indexOf(sheetRef.current);

    if (index > -1) {
      ls.splice(index, 1);
    }

    document.adoptedStyleSheets = ls;
  };

  useEffect(function () {
    sheetRef.current.replaceSync(":root{ ".concat(Object.keys(obj).map(function (name) {
      return "--".concat(name, ":").concat(obj[name], ";");
    }).join(''), " }"));
    removeCurrentSheet();
    document.adoptedStyleSheets = [].concat(_toConsumableArray(document.adoptedStyleSheets), [sheetRef.current]);
    return function () {
      removeCurrentSheet();
    };
  }, [obj]);
  return removeCurrentSheet;
});

export default index;
//# sourceMappingURL=index.es.js.map
