'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var _toConsumableArray = _interopDefault(require('@babel/runtime/helpers/toConsumableArray'));
var react = require('react');
require('construct-style-sheets-polyfill');

var index = (function (obj) {
  var sheetRef = react.useRef(new CSSStyleSheet());

  var removeCurrentSheet = function removeCurrentSheet() {
    var ls = document.adoptedStyleSheets.slice(0);
    var index = ls.indexOf(sheetRef.current);

    if (index > -1) {
      ls.splice(index, 1);
    }

    document.adoptedStyleSheets = ls;
  };

  react.useEffect(function () {
    sheetRef.current.replaceSync(":root{ ".concat(Object.keys(obj).map(function (name) {
      return "--".concat(name, ":").concat(obj[name], ";");
    }).join(''), " }"));
    removeCurrentSheet();
    document.adoptedStyleSheets = [].concat(_toConsumableArray(document.adoptedStyleSheets), [sheetRef.current]);
    return function () {
      removeCurrentSheet();
    };
  }, [obj]);
  return removeCurrentSheet;
});

module.exports = index;
//# sourceMappingURL=index.js.map
