System.register(['react', 'construct-style-sheets-polyfill'], function (exports) {
  'use strict';
  var useRef, useEffect;
  return {
    setters: [function (module) {
      useRef = module.useRef;
      useEffect = module.useEffect;
    }, function () {}],
    execute: function () {

      function _arrayLikeToArray(arr, len) {
        if (len == null || len > arr.length) len = arr.length;

        for (var i = 0, arr2 = new Array(len); i < len; i++) {
          arr2[i] = arr[i];
        }

        return arr2;
      }

      var arrayLikeToArray = _arrayLikeToArray;

      function _arrayWithoutHoles(arr) {
        if (Array.isArray(arr)) return arrayLikeToArray(arr);
      }

      var arrayWithoutHoles = _arrayWithoutHoles;

      function _iterableToArray(iter) {
        if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter);
      }

      var iterableToArray = _iterableToArray;

      function _unsupportedIterableToArray(o, minLen) {
        if (!o) return;
        if (typeof o === "string") return arrayLikeToArray(o, minLen);
        var n = Object.prototype.toString.call(o).slice(8, -1);
        if (n === "Object" && o.constructor) n = o.constructor.name;
        if (n === "Map" || n === "Set") return Array.from(n);
        if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return arrayLikeToArray(o, minLen);
      }

      var unsupportedIterableToArray = _unsupportedIterableToArray;

      function _nonIterableSpread() {
        throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
      }

      var nonIterableSpread = _nonIterableSpread;

      function _toConsumableArray(arr) {
        return arrayWithoutHoles(arr) || iterableToArray(arr) || unsupportedIterableToArray(arr) || nonIterableSpread();
      }

      var toConsumableArray = _toConsumableArray;

      var index = exports('default', (function (obj) {
        var sheetRef = useRef(new CSSStyleSheet());

        var removeCurrentSheet = function removeCurrentSheet() {
          var ls = document.adoptedStyleSheets.slice(0);
          var index = ls.indexOf(sheetRef.current);

          if (index > -1) {
            ls.splice(index, 1);
          }

          document.adoptedStyleSheets = ls;
        };

        useEffect(function () {
          sheetRef.current.replaceSync(":root{ ".concat(Object.keys(obj).map(function (name) {
            return "--".concat(name, ":").concat(obj[name], ";");
          }).join(''), " }"));
          removeCurrentSheet();
          document.adoptedStyleSheets = [].concat(toConsumableArray(document.adoptedStyleSheets), [sheetRef.current]);
          return function () {
            removeCurrentSheet();
          };
        }, [obj]);
        return removeCurrentSheet;
      }));

    }
  };
});
//# sourceMappingURL=use-css-variables.system.js.map
